import { ListViewScrollEvent } from '../events';
/**
 * Represents the props of the [Kendo UI for Vue ListView component]({% slug overview_listview %}).
 */
export interface ListViewProps {
    /**
     * Sets the data of the ListView.
     */
    dataItems?: any[];
    /**
     * Defines the component that will be rendered for each item of the data collection.
     */
    item?: any;
    /**
     * Defines the component that will be rendered for ListView header.
     */
    header?: any;
    /**
     * Defines the component that will be rendered for ListView footer.
     */
    footer?: any;
    /**
     * Fires when the ListView has been scrolled.
     */
    onScroll?: (event: ListViewScrollEvent) => void;
}
